<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Sentiment Analysis</title>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <style>
      body {
        font-family: "Arial", sans-serif;
        margin: 0;
        height: 100vh;
        display: flex;
        justify-content: center;
        align-items: center;
        background-color: #f4f4f9;
      }
      .container {
        background: white;
        padding: 20px;
        border-radius: 8px;
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
        width: 100%;
        max-width: 360px; /* Maximum width of the container */
        display: flex;
        flex-direction: column;
        align-items: center;
      }
      h1 {
        color: #333;
        margin-bottom: 15px;
        text-align: center;
      }
      textarea {
        width: 100%; /* Make textarea full width of the container */
        height: 100px; /* Fixed height */
        margin-bottom: 15px;
        padding: 10px;
        border: 1px solid #ddd;
        border-radius: 5px;
        resize: none;
      }
      button {
        width: 60%; /* Responsive button width */
        padding: 10px 0;
        background-color: #007bff;
        color: white;
        border: none;
        border-radius: 5px;
        cursor: pointer;
        transition: background-color 0.3s;
      }
      button:hover {
        background-color: #0056b3;
      }
      #result {
        margin-top: 20px;
        font-size: 16px;
        color: #333;
        width: 100%;
        text-align: center;
      }

      /* Media Queries for additional responsiveness */
      @media (max-width: 400px) {
        .container {
          padding: 15px;
        }
        h1 {
          font-size: 20px;
        }
        button {
          width: 70%;
        }
      }
    </style>
    <script>
      $(document).ready(function () {
        $("form").on("submit", function (event) {
          event.preventDefault();
          var textInput = $("textarea[name=text]").val().trim();
          if (textInput === "") {
            $("#result").text("Please enter some text to analyze.");
            return;
          }
          var formData = {
            text: textInput,
          };
          $.ajax({
            type: "POST",
            url: "/predict",
            data: formData,
            dataType: "json",
            encode: true,
          })
            .done(function (data) {
              $("#result").text("Sentiment: " + data.prediction);
            })
            .fail(function (jqXHR, textStatus, errorThrown) {
              console.log("Error: " + textStatus + ", " + errorThrown);
              $("#result").text("Failed to predict sentiment");
            });
        });
      });
    </script>
  </head>
  <body>
    <div class="container">
      <h1>Sentiment Prediction</h1>
      <form>
        <textarea name="text" rows="4"></textarea>
        <button type="submit">Predict Sentiment</button>
      </form>
      <p id="result"></p>
    </div>
  </body>
</html>
